import './assets/main.css';
import './style.css';

import {createPinia} from 'pinia';
import {createApp} from 'vue';
import App from "@/App.vue";
import {useDarkMode} from './stores/useDarkMode';

const app = createApp(App);
const pinia = createPinia();

app.use(pinia);

// Initialize dark mode before mounting the app
const darkModeStore = useDarkMode(pinia);
darkModeStore.initDarkMode();

app.mount('#app');
